package com.zt.plat.module.erp.dal.mysql.erp;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.framework.mybatis.core.mapper.BaseMapperX;
import com.zt.plat.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpInternalOrderPageReqVO;
import com.zt.plat.module.erp.dal.dataobject.erp.ErpInternalOrderDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * ERP内部订单 Mapper
 *
 * @author 后台管理
 */
@Mapper
public interface ErpInternalOrderMapper extends BaseMapperX<ErpInternalOrderDO> {

    default PageResult<ErpInternalOrderDO> selectPage(ErpInternalOrderPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ErpInternalOrderDO>()
                .likeIfPresent(ErpInternalOrderDO::getNumber, reqVO.getNumber())
                .likeIfPresent(ErpInternalOrderDO::getName, reqVO.getName())
                .eqIfPresent(ErpInternalOrderDO::getType, reqVO.getType())
                .eqIfPresent(ErpInternalOrderDO::getIsOff, reqVO.getIsOff())
                .eqIfPresent(ErpInternalOrderDO::getIsFinish, reqVO.getIsFinish())
                .orderByDesc(ErpInternalOrderDO::getId));
    }

}